1. Webhook
Casharc
Merchant
  • Merchant
  • Getting Started
    • Introduction
    • Authentication
    • Quickstart
  • Core Concepts
    • Statuses
    • Status Codes
  • Guides
    • Idempotency
    • Metadata
  • Payments
    • Create Payment
      POST
    • List Payments
      GET
    • Retrieve Payment
      GET
    • Confirm Payment
      POST
    • Cancel Payment
      POST
    • Refund Payment
      POST
  • Payouts
    • Create Payout
      POST
    • List Payouts
      GET
    • Retrieve Payout
      GET
    • Cancel Payout
      POST
  • Appeals
    • Create Appeal
      POST
    • List Appeals
      GET
    • Retrieve Appeal
      GET
    • Cancel Appeal
      POST
  • Balance
    • Retrieve Balance
  • Files
    • Upload File
  • Webhook
    • Overview
    • Event Types
    • Verifying
    • Payment Event
    • Payout Event
    • Appeal Event
  1. Webhook

Payment Event

Webhook
POST
onPaymentEvent

Request

Header Params

Body Params application/jsonRequired

Examples

Responses

🟢200Success
application/json
Bodyapplication/json

Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://your-api-server.com' \
--header 'User-Agent: Casharc-Webhooks/1.0' \
--header 'X-Timestamp: 1767227652' \
--header 'X-Signature: 442fdeb6836fd89e26314752dbc5ce35b22518a08a5e4f4e9dbca6758f4b2d17' \
--header 'Content-Type: application/json' \
--data '{
    "id": "evt_2n1TKXh5tX7P1Rfr",
    "type": "payment.completed",
    "created_at": "2026-01-01T00:34:12Z",
    "data": {
        "id": "txn_2n1TLgiZFvF7DZuL",
        "type": "payment",
        "requested": {
            "amount": "1000.00",
            "currency": "XTS"
        },
        "initialized": {
            "amount": "1000.00",
            "currency": "XTS"
        },
        "processed": {
            "amount": "1000.00",
            "currency": "XTS"
        },
        "refunded": {
            "amount": "0.00",
            "currency": "XTS"
        },
        "requisite": {
            "type": "card",
            "card": "4242424242424242",
            "holder": "Test User",
            "bank": "Test Bank"
        },
        "payment_url": "https://pay.casharc.pro/txn_2n1TLgiZFvF7DZuL?token=…",
        "status": "paid",
        "status_code": "paid",
        "created_at": "2026-01-01T00:21:56Z",
        "expires_at": "2026-01-01T00:22:56Z",
        "finalized_at": "2026-01-01T00:34:12Z",
        "metadata": {}
    }
}'
Response Response Example
{}
Previous
Verifying
Next
Payout Event
Built with